#include "CUDATemporalAveragingImageFilterPluginFactory.h"
#include "CUDATemporalAveragingImageFilterPlugin.h"

#include <QtPlugin>

CUDATemporalAveragingImageFilterPluginFactory::CUDATemporalAveragingImageFilterPluginFactory()
{
}

CUDATemporalAveragingImageFilterPluginFactory::~CUDATemporalAveragingImageFilterPluginFactory()
{
}

ritk::FilterPlugin*
CUDATemporalAveragingImageFilterPluginFactory::CreateInstance()
{
	return new CUDATemporalAveragingImageFilterPlugin();
}

QString
CUDATemporalAveragingImageFilterPluginFactory::GetName()
{
	return tr("CUDATemporalAveraging");
}

QString
CUDATemporalAveragingImageFilterPluginFactory::GetDescription()
{
	return tr("Temporal averaging using CUDA");
}


Q_EXPORT_PLUGIN2(CUDATemporalAveragingFilter, CUDATemporalAveragingImageFilterPluginFactory)

